| Kea 3.0.2-git

callout_handle.h File Reference
`#include <exceptions/exceptions.h>`
`#include <hooks/library_handle.h>`
`#include <hooks/parking_lots.h>`
`#include <util/dhcp_space.h>`
`#include <boost/any.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <map>`
`#include <string>`
`#include <vector>`
Include dependency graph for callout_handle.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::hooks::CalloutHandle
| Per-packet callout handle. More...
class | isc::hooks::NoSuchArgument
| No such argument. More...
class | isc::hooks::NoSuchCalloutContext
| No such callout context item. More...
class | isc::hooks::ScopedCalloutHandleState
| Wrapper class around callout handle which automatically resets handle's state. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::hooks

## Typedefs
typedef boost::shared_ptr< CalloutHandle > | isc::hooks::CalloutHandlePtr
| A shared pointer to a CalloutHandle object.